/*
 * dstemp.h
 *
 *  Created on: 31 sie 2015
 *      Author: dsosnowski
 */

#ifndef DSTEMP_H_
#define DSTEMP_H_

#define ONEW_PORT			PORTC
#define ONEW_DDR			DDRC
#define ONEW_IN				PINC
#define DSPIN_CH1			1

#define DS_CHANNELS			1

//ds.step
#define DS_IDLE				0
#define DS_CONVERTING		1

//ds.status
#define DS_OK				0
#define DS_READY			1
#define DS_ERR				2
#define DS_SHORT			3
#define DS_NO_CONNECT		4

//cycle to noconnect
#define DS_ERR_MAX			10

void DsInit(void);
void DsDelay(uint8_t us);
int16_t DsTempGet(uint8_t channel);
uint8_t DsStatusGet(uint8_t channel);
uint8_t DsProcessNext(void);

uint8_t DsProcess(uint8_t channel);
uint8_t DsTempCalc(int16_t data);

uint8_t DsGetType (uint8_t channel);
uint8_t DsReset (uint8_t channel);
void DsWriteByte(uint8_t channel, uint8_t byte);
void DsWriteBit(uint8_t bit);
uint8_t DsReadByte(uint8_t channel);
uint8_t DsReadBit(void);



#endif /* DSTEMP_H_ */
